org.apache.struts2.jasper

## Class Constants

- java.lang.Object
- - org.apache.struts2.jasper.Constants

-     public class Constants
      extends Object

  Some constants and other global data that are used by the compiler and the runtime.
  Author:
    Anil K. Vijendran, Harish Prabandham, Shawn Bayern, Mark Roth

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALT_DD_ATTR`
    `static String[]` | `CACHED_DTD_PUBLIC_IDS` List of the Public IDs that we cache, and their associated location.
    `static String[]` | `CACHED_DTD_RESOURCE_PATHS`
    `static int` | `DEFAULT_BUFFER_SIZE` Default size of the JSP buffer.
    `static int` | `DEFAULT_TAG_BUFFER_SIZE` Default size for the tag buffers.
    `static char` | `ESC` Deprecated.
    `static String` | `ESCStr` Deprecated.
    `static String` | `IE_PLUGIN_URL`
    `static String` | `INC_SERVLET_PATH` Servlet context and request attributes that the JSP engine uses.
    `static boolean` | `IS_SECURITY_ENABLED` Has security been turned on?
    `static String` | `JSP_FILE` Request attribute for `<jsp-file>` element of a servlet definition.
    `static String` | `JSP_PACKAGE_NAME` The default package name for compiled jsp pages.
    `static String` | `JSP_SERVLET_BASE` The base class of the generated servlets.
    `static int` | `MAX_POOL_SIZE` Default tag handler pool size.
    `static String` | `NS_PLUGIN_URL` Default URLs to download the pluging for Netscape and IE.
    `static String` | `PRECOMPILE` The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.
    `static String` | `SERVICE_METHOD_NAME` _jspService is the name of the method that is called by HttpJspBase.service().
    `static String` | `SERVLET_CLASSPATH` ServletContext attribute for classpath.
    `static String` | `SERVLET_CONTENT_TYPE` Default servlet content type.
    `static String` | `SESSION_PARAMETER_NAME` The name of the path parameter used to pass the session identifier back and forth with the client.
    `static String[]` | `STANDARD_IMPORTS` These classes/packages are automatically imported by the generated code.
    `static String` | `TAG_FILE_PACKAGE_NAME` The default package name for tag handlers generated from tag files
    `static String` | `TAGLIB_DTD_PUBLIC_ID_11` Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.
    `static String` | `TAGLIB_DTD_PUBLIC_ID_12`
    `static String` | `TAGLIB_DTD_RESOURCE_PATH_11`
    `static String` | `TAGLIB_DTD_RESOURCE_PATH_12`
    `static String` | `TEMP_VARIABLE_NAME_PREFIX` Prefix to use for generated temporary variable names
    `static String` | `TMP_DIR`
    `static String` | `WEBAPP_DTD_PUBLIC_ID_22` Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors
    `static String` | `WEBAPP_DTD_PUBLIC_ID_23`
    `static String` | `WEBAPP_DTD_RESOURCE_PATH_22`
    `static String` | `WEBAPP_DTD_RESOURCE_PATH_23`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSP_SERVLET_BASE

          public static final String JSP_SERVLET_BASE

      The base class of the generated servlets.

    - #### SERVICE_METHOD_NAME

          public static final String SERVICE_METHOD_NAME

      _jspService is the name of the method that is called by HttpJspBase.service(). This is where most of the code generated from JSPs go.

    - #### SERVLET_CONTENT_TYPE

          public static final String SERVLET_CONTENT_TYPE

      Default servlet content type.
      See Also:
        Constant Field Values

    - #### STANDARD_IMPORTS

          public static final String[] STANDARD_IMPORTS

      These classes/packages are automatically imported by the generated code.

    - #### SERVLET_CLASSPATH

          public static final String SERVLET_CLASSPATH

      ServletContext attribute for classpath. This is tomcat specific. Other servlet engines may choose to support this attribute if they want to have this JSP engine running on them.

    - #### JSP_FILE

          public static final String JSP_FILE

      Request attribute for `<jsp-file>` element of a servlet definition. If present on a request, this overrides the value returned by `request.getServletPath()` to select the JSP page to be executed.

    - #### DEFAULT_BUFFER_SIZE

          public static final int DEFAULT_BUFFER_SIZE

      Default size of the JSP buffer.
      See Also:
        Constant Field Values

    - #### DEFAULT_TAG_BUFFER_SIZE

          public static final int DEFAULT_TAG_BUFFER_SIZE

      Default size for the tag buffers.
      See Also:
        Constant Field Values

    - #### MAX_POOL_SIZE

          public static final int MAX_POOL_SIZE

      Default tag handler pool size.
      See Also:
        Constant Field Values

    - #### PRECOMPILE

          public static final String PRECOMPILE

      The query parameter that causes the JSP engine to just pregenerated the servlet but not invoke it.

    - #### JSP_PACKAGE_NAME

          public static final String JSP_PACKAGE_NAME

      The default package name for compiled jsp pages.

    - #### TAG_FILE_PACKAGE_NAME

          public static final String TAG_FILE_PACKAGE_NAME

      The default package name for tag handlers generated from tag files

    - #### INC_SERVLET_PATH

          public static final String INC_SERVLET_PATH

      Servlet context and request attributes that the JSP engine uses.
      See Also:
        Constant Field Values

    - #### TMP_DIR

          public static final String TMP_DIR

      See Also:
        Constant Field Values

    - #### ALT_DD_ATTR

          public static final String ALT_DD_ATTR

    - #### TAGLIB_DTD_PUBLIC_ID_11

          public static final String TAGLIB_DTD_PUBLIC_ID_11

      Public Id and the Resource path (of the cached copy) of the DTDs for tag library descriptors.
      See Also:
        Constant Field Values

    - #### TAGLIB_DTD_RESOURCE_PATH_11

          public static final String TAGLIB_DTD_RESOURCE_PATH_11

      See Also:
        Constant Field Values

    - #### TAGLIB_DTD_PUBLIC_ID_12

          public static final String TAGLIB_DTD_PUBLIC_ID_12

      See Also:
        Constant Field Values

    - #### TAGLIB_DTD_RESOURCE_PATH_12

          public static final String TAGLIB_DTD_RESOURCE_PATH_12

      See Also:
        Constant Field Values

    - #### WEBAPP_DTD_PUBLIC_ID_22

          public static final String WEBAPP_DTD_PUBLIC_ID_22

      Public Id and the Resource path (of the cached copy) of the DTDs for web application deployment descriptors
      See Also:
        Constant Field Values

    - #### WEBAPP_DTD_RESOURCE_PATH_22

          public static final String WEBAPP_DTD_RESOURCE_PATH_22

      See Also:
        Constant Field Values

    - #### WEBAPP_DTD_PUBLIC_ID_23

          public static final String WEBAPP_DTD_PUBLIC_ID_23

      See Also:
        Constant Field Values

    - #### WEBAPP_DTD_RESOURCE_PATH_23

          public static final String WEBAPP_DTD_RESOURCE_PATH_23

      See Also:
        Constant Field Values

    - #### CACHED_DTD_PUBLIC_IDS

          public static final String[] CACHED_DTD_PUBLIC_IDS

      List of the Public IDs that we cache, and their associated location. This is used by an EntityResolver to return the location of the cached copy of a DTD.

    - #### CACHED_DTD_RESOURCE_PATHS

          public static final String[] CACHED_DTD_RESOURCE_PATHS

    - #### NS_PLUGIN_URL

          public static final String NS_PLUGIN_URL

      Default URLs to download the pluging for Netscape and IE.
      See Also:
        Constant Field Values

    - #### IE_PLUGIN_URL

          public static final String IE_PLUGIN_URL

      See Also:
        Constant Field Values

    - #### TEMP_VARIABLE_NAME_PREFIX

          public static final String TEMP_VARIABLE_NAME_PREFIX

      Prefix to use for generated temporary variable names

    - #### ESC

          public static final char ESC

      Deprecated.
      A replacement char for "\$". XXX This is a hack to avoid changing EL interpreter to recognize "\$"
      See Also:
        Constant Field Values

    - #### ESCStr

          public static final String ESCStr

      Deprecated.
      See Also:
        Constant Field Values

    - #### IS_SECURITY_ENABLED

          public static final boolean IS_SECURITY_ENABLED

      Has security been turned on?

    - #### SESSION_PARAMETER_NAME

          public static final String SESSION_PARAMETER_NAME

      The name of the path parameter used to pass the session identifier back and forth with the client.

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.